canvas {
    width: 100%;
}

#hexInput {
    width: 100%;
    margin-top: 30px;
}

/* Layer */
.navigationWrapper {
    min-height: 190px;
    width: 100%;
    border: 1px solid black;
}

#canvasNavigationPanel {
    display: flex;
    flex-direction: column;
    height: 100%
}

#canvasNavigationPanel .layer-group .layer {
    display: flex;
}

#canvasNavigationPanel .layer-group .layer:has(input:checked) {
    background-color: #BEBEBE;
}

#canvasNavigationPanel .layer-group .layer input {
    display: none;
}

#canvasNavigationPanel .layer-group .layer input+div {
    margin-left: 15px;
}

#canvasNavigationPanel .layer-group .layer div {
    margin: 0;
    height: 60px;
    width: 60px;
    padding: 10px;
}

#canvasNavigationPanel .layer-group .layer div .layer-thumbnail {
    object-fit: contain;
    height: 40px;
    width: 40px;
}

#canvasNavigationPanel .layer-group .layer .label p {
    -webkit-line-clamp: 2 !important;
    font-size: 13px;
}

/* Layer Action */
#actionContainer {
    width: 100%;
    min-height: 190px;
}

#actionContainer #canvasActionPanel .action {
    display: flex;
    flex-direction: column;
}

#actionContainer #canvasActionPanel .action input[type=range] {
    margin: 20px 0 !important;
}

#actionContainer #canvasActionPanel .action button[layer-action] {
    background-color: #BEBEBE;
    color: black;
    margin: auto auto 15px auto;
}

/* Side Panel */
.col-inner:has(.sidePanel) {
    height: 100%;
}

.sidePanel {
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: #D9D9D9;
    padding: 20px;
    border-radius: 15px;
    height: 100%;
}

.sidePanel>button {
    margin: 10px 0;
}

/* Add Text */
.addText {
    width: 100%;
}

.addText .textControl {
    display: flex;
    flex-wrap: wrap;
    column-gap: 15px;
}

.addText .textControl .selectFont {
    flex-basis: calc(65% - 7.5px);
}

.addText .textControl .fontColor {
    flex-basis: calc(35% - 7.5px);
}

.addText .textControl .fontColor input[type=color] {
    height: 40px;
    width: 100%;
}

.addText #submitText {
    background-color: #BEBEBE;
    color: black;
}

.sidePanel hr {
    width: 100%;
    border-top: 2px solid;
}

/* Upload Logo */
.addLogo {
    text-align: center;
}

.addLogo p {
    font-size: 18px;
}

.addLogo #uploadBtn {
    margin: 0;
    background-color: #BEBEBE;
    color: black;
}

/* Save Canvas */
.sidePanel #saveCustom {
    font-family: 'Bebas Neue';
    padding-inline: 45px;
    font-size: 18px;
    background-color: var(--orange);
    color: var(--white);
    border-radius: 40px;
    letter-spacing: 0.15em;
    font-weight: 400;
    margin-top: 20px;
}

/* FORM */
.uploadCustomProduct {
    border: 1px solid #ddd;
    padding: 5px;
    width: 100%;
}